import-module au

$releases='https://www.xdlab.ru/download.htm';

function global:au_SearchReplace {
   @{
        ".\tools\chocolateyInstall.ps1" = @{
            "(?i)(^\s*checksum\s*=\s*)('.*')"     = "`$1'$($Latest.Checksum32)'"
            "(?i)(^\s*checksum64\s*=\s*)('.*')"   = "`$1'$($Latest.Checksum64)'"
        }
    }
}

function global:au_GetLatest {
    $download_page = Invoke-WebRequest -Uri $releases -UseBasicParsing
    $domain  = $releases -split '(?<=//.+)/' | select -First 1

    $re       = 'tagscan.*\.zip$'
    $url      = $download_page.links | ? href -match $re | select -First 2 -expand href | % { $domain + $_}
    $version  = $url[0] -split '-' -replace '.zip' | Select -Last 1

    @{
        Version = $version
        URL32   = $url -notmatch 'x64.' | select -First 1
        URL64   = $url -match 'x64.'    | select -First 1
    }
}

update